Page MenuHomeFreeBSD

Add deprecation notice to objdump man page
ClosedPublic

Authored by emaste on Jan 12 2018, 3:16 AM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Apr 5, 9:47 PM
Unknown Object (File)
Thu, Apr 4, 3:57 AM
Unknown Object (File)
Wed, Apr 3, 5:15 PM
Unknown Object (File)
Wed, Apr 3, 5:15 PM
Unknown Object (File)
Wed, Apr 3, 5:15 PM
Unknown Object (File)
Wed, Apr 3, 5:03 PM
Unknown Object (File)
Jan 23 2024, 9:35 AM
Unknown Object (File)
Dec 22 2023, 10:22 PM
Subscribers
None

Details

Summary

The in-tree binutils is old and will not be updated. Other tools are migrating to copyfree alternatives but there is not yet a direct replacement for objdump. I plan to remove it as it is not used by the build, and updated and maintained versions are available from ports and packages.

See also D7338

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Jun 15 2018, 5:04 PM
This revision was automatically updated to reflect the committed changes.

Committed to rendered man page in rS335219.